Issue #7869 has been reported by vo.x (Vit Ondruch).

----------------------------------------
Backport #7869: Revert JSON version bump, since it posibly breaks Ruby backward compatibility
https://bugs.ruby-lang.org/issues/7869

Author: vo.x (Vit Ondruch)
Status: Open
Priority: Normal
Assignee: 
Category: 
Target version: 


Although reverting version bump means that Ruby's JSON will differs from RubyGems version of JSON, it prevents possible compatibility issues for every project, which might use Bundler to specify its dependencies. Although for regular user, this incompatibility might be fixed by simple 'bundle update' command, it is not doable for Linux distributions, which provides packaged Ruby, including JSON gem, but are not responsible for every Ruby project on the system.

See ruby-core:52254 for more discussion.

Thank you.


-- 
http://bugs.ruby-lang.org/